using UnityEngine;

namespace FL.Editor.Tests
{
    [ExecuteInEditMode]
    public class TestForward : MonoBehaviour
    {
        public bool isRandom;
        // Start is called before the first frame update
        void Start()
        {
            Debug.Log($"TestForward name:{transform.name} forward:{transform.forward} rot:{transform.localRotation.eulerAngles}");
        }

        // Update is called once per frame
        void Update()
        {
            if (isRandom)
            {
                isRandom = false;
                var dir = Vector3.zero;
                dir.x = 0.37f;// Random.Range(-1f, 1f);
                dir.y = 0.93f;// Random.Range(-1f, 1f);
                var angleX = Vector3.Angle(dir, Vector3.right);
                var angleY = Vector3.Angle(dir, Vector3.up);
                var angleZ = Vector3.Angle(dir, Vector3.forward);
                //transform.localRotation = Quaternion.LookRotation(dir, Vector3.right);
                Debug.Log($"TestForward dir:{dir} angleX:{angleX} Y:{angleY} Z:{angleZ}");
            }
        }
    }
}
